package com.videogo.ui.playback.querylist;

import java.util.List;

import com.videogo.openapi.bean.resp.CloudPartInfoFile;

public interface QueryPlayBackListTaskCallback {

    void queryHasNoData(int type);

    void querySuccessFromCloud(List<CloudPartInfoFile> cloudPartInfoFiles);

    void querySuccessFromSDKCloud(List<CloudPartInfoFile> cloudPartInfoFiles);

    void querySuccessFromDevice(List<CloudPartInfoFile> cloudPartInfoFiles);

}
